API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

Cost Centers

Alle Operationen rund um Cost Centers.

Datenmodell

Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:

Entität Schema-ID Felder Sequenz Permissions
Cost Center cost_center 10 cost_center_*

Endpoints

Methode Pfad Operation Beschreibung
POST /v1/cost_centers Create cost_center Create a new cost_center in the active tenant.
DELETE /v1/cost_centers/{id} Delete cost_center Soft delete entity.
GET /v1/cost_centers/{id} Get cost_center by id Fetch a single cost_center.
GET /v1/cost_centers/{id}/linked Get linked entities CodeMeta OS API endpoint.
GET /v1/cost_centers/{id}/timeline Get timeline CodeMeta OS API endpoint.
GET /v1/cost_centers/{id}/transitions List transitions CodeMeta OS API endpoint.
GET /v1/cost_centers List cost_centers List cost_centers for the active tenant.
PATCH /v1/cost_centers/{id} Patch cost_center JSON Merge Patch update.
POST /v1/cost_centers/bulk Bulk operation CodeMeta OS API endpoint.
POST /v1/cost_centers/{id}/transition POST /v1/cost_centers/{id}/transition CodeMeta OS API endpoint.
POST /v1/cost_centers/{id}/transitions/{transitionKey} Execute transition CodeMeta OS API endpoint.
PUT /v1/cost_centers/{id} Replace cost_center Full replace with optimistic locking.

Suche